<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [tprintRaw](./bitburner.ns.tprintraw.md)

## NS.tprintRaw() method

Prints a ReactNode to the terminal.

**Signature:**

```typescript
tprintRaw(node: ReactNode): void;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

node


</td><td>

[ReactNode](./bitburner.reactnode.md)


</td><td>

The React node to be printed.


</td></tr>
</tbody></table>

**Returns:**

void

## Remarks

RAM cost: 0 GB

See [ReactNode](./bitburner.reactnode.md) type for the acceptable values.

